#pragma once
#include <robot/jupiter/library/rtdoc/file/model/docidmap.h>

#include <mapreduce/yt/interface/client.h>
#include <util/folder/path.h>

TVector<ui32> ReadDocIdsFromRtyt(NYT::IClientBasePtr client, const TString& ytPath);

TString FormatRTYTMergeMapPath(const TString& tempDir, const TFsPath& srcDir);

bool IsPrepIndex(const TFsPath& indexPath);
